gnutls_openpgp_key_get_fingerprint(3)

NAME
gnutls_openpgp_key_get_fingerprint - Gets the fingerprint

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_get_fingerprint(gnutls_openpgp_key_t key, void * fpr, size_t * fprlen);

ARGUMENTS

gnutls_openpgp_key_t key
    the raw data that contains the OpenPGP public key.

void * fpr
    the buffer to save the fingerprint.

size_t * fprlen
    the integer to save the length of the fingerprint.

DESCRIPTION
Returns the fingerprint of the OpenPGP key. Depends on the algorithm, the fingerprint can be 16 or 20 bytes.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.